petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagSetBoundaryTypes

set DMStag boundary types

### Synopsis

    PetscErrorCode DMStagSetBoundaryTypes(DM dm,DMBoundaryType boundaryType0,DMBoundaryType boundaryType1,DMBoundaryType boundaryType2)

Logically Collective; boundaryType0, boundaryType1, and boundaryType2 must contain common values

### Input Parameters

| dm | - the DMStag object
| boundaryType0,boundaryType1,boundaryType2 | - boundary types in each direction

### Notes

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids.

### See Also

DMSTAG, DMBoundaryType, DMStagCreate1d(), DMStagCreate2d(), DMStagCreate3d(), DMDASetBoundaryType()

### Level

advanced

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages